Bug 1195487 - Windows guest performing out-of-bounds accesses on virtio device
Summary: Windows guest performing out-of-bounds accesses on virtio device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1067225
Blocks: 1212392
TreeView+ depends on / blocked
 
Reported: 2015-02-23 22:10 UTC by Vadim Rozenfeld
Modified: 2019-08-15 04:17 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, Windows guests in some cases issued out-of-bounds read and write requests to a virtio device, which caused the guest to become unresponsive. Now, the Windows virtio-blk device drive performs logical block addressing (LBA) sanity checks before submitting requests to QEMU, and does not submit requests that are out-of-bounds. As a result, the described problem no longer occurs.
Clone Of: 1067225
Environment:
Last Closed: 2015-11-24 08:49:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 740963 None None None Never
Red Hat Product Errata RHBA-2015:2513 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2015-11-24 13:38:38 UTC

Comment 2 Vadim Rozenfeld 2015-04-23 02:37:28 UTC
Moving it back to assigned due to Bug 1212392

Comment 3 Vadim Rozenfeld 2015-05-24 08:29:51 UTC
please check with the latest build, available at http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/104/win/virtio-win-prewhql-0.1.zip

Comment 4 lijin 2015-05-28 02:44:32 UTC
Mike,please verify the bug with build104

Comment 8 lijin 2015-07-31 06:29:34 UTC
change status to verified according to comment#5 and bug1212392 is verified with build104

Comment 10 errata-xmlrpc 2015-11-24 08:49:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2513.html


Note You need to log in before you can comment on or make changes to this bug.